#!/bin/sh
# Copyright (c) 2000-2013 Synology Inc. All rights reserved.

PACKAGE_DIR="/var/packages/CloudSync"
ALIAS_PATH=${PACKAGE_DIR}/target/etc/SYNO.SDS.CloudSync.Instance.alias.conf

case $1 in
	add)
		ln -sf $ALIAS_PATH /usr/syno/etc/sites-enabled/SYNO.SDS.CloudSync.Instance.alias.conf
		;;
	delete)
		rm /usr/syno/etc/sites-enabled/SYNO.SDS.CloudSync.Instance.alias.conf
		;;
	hupapache)
		sleep 10
		kill -HUP `cat /var/run/httpd-sys.pid` > /dev/null
		sleep 20
		# check whether the httpd is alive
		kill -0 `cat /var/run/httpd-sys.pid` > /dev/null 2>&1
		if [ $? = 1 ]; then
			/usr/syno/etc/rc.d/S97apache-sys.sh restart
		fi
		;;
	*)
		;;
esac
